Bug 81592 - using %include to define packages for kickstart doesn't work
using %include to define packages for kickstart doesn't work
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
9
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Fulbright
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-01-10 17:06 EST by ajs
Modified: 2008-01-17 12:49 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-05-25 10:52:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Kickstart file (1.05 KB, text/plain)
2003-01-10 17:08 EST, ajs
no flags Details
list of packages (364 bytes, text/plain)
2003-01-10 17:11 EST, ajs
no flags Details
anaconda-ks.cfg generated during installation (1.53 KB, text/plain)
2003-01-10 17:23 EST, ajs
no flags Details

  None (edit)
Description ajs 2003-01-10 17:06:08 EST
Description of problem:
When I %include a file containing a list of packages to be installed,  
kickstart seems to decide on its own what packages to install.

I'll attach my kickstart files soon and also the anaconda-ks.cfg generated
during the install.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. In the %pre section of the kickstart file create "/tmp/include-test2.cfg"
which is a list of packages to install
2. Use the following lines to define packages in the kickstart file:
   %packages --resolvedeps
   %include "/tmp/include-test2.cfg"
3. Compare the packages actually installed to those requested.

Additional info:
Comment 1 ajs 2003-01-10 17:08:55 EST
Created attachment 89290 [details]
Kickstart file
Comment 2 ajs 2003-01-10 17:11:29 EST
Created attachment 89291 [details]
list of packages
Comment 3 ajs 2003-01-10 17:23:47 EST
Created attachment 89292 [details]
anaconda-ks.cfg generated during installation
Comment 4 Jeremy Katz 2003-01-10 21:01:01 EST
Fixed in CVS
Comment 5 Brent Fox 2003-05-25 10:52:40 EDT
I'm going through Bugzilla closing some bugs that have been marked as Modified
for some period of time.  I believe that most of these issues have been fixed,
so I'm resolving these bugs as Rawhide.  If the bug you are seeing still exists,
please reopen this report and mark it as Reopened.

Note You need to log in before you can comment on or make changes to this bug.